Show / Hide Table of Contents

# Delegate Batch.BatchAsyncEventHandler

Asynchronous handler for when batches are completed

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task BatchAsyncEventHandler(Batch batch);

##### Parameters

Type | Name | Description
--- | --- | ---
Batch | batch | The batch that completed

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |